%global momorel 4

Name:           perl-Catalyst-Plugin-Session-PerUser
Version:        0.05
Release:	%{momorel}m%{?dist}
Summary:        Per user sessions (instead of per browser sessions)
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session-PerUser/
Source0:	http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Session-PerUser-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Plugin-Authentication >= 0.01
BuildRequires:  perl-Catalyst-Plugin-Session >= 0.01
BuildRequires:  perl-Hash-Merge
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Object-Signature
Requires:       perl-Catalyst-Plugin-Authentication >= 0.01
Requires:       perl-Catalyst-Plugin-Session >= 0.01
Requires:       perl-Hash-Merge
Requires:       perl-Object-Signature
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin allows you to write e.g. shopping cart code which should behave
well for guests as well as permanent users.

%prep
%setup -q -n Catalyst-Plugin-Session-PerUser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.05-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-2m)
- rebuild against perl-5.12.0

* Sat Jan 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- update to 0.05

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.04-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Aug 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-1m)
- update to 0.04

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.03-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.03-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.03-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
